curl --request PUT \
--url https://api.devhelm.io/api/v1/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"data": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"orgId": 123
}
}curl --request PUT \
--url https://api.devhelm.io/api/v1/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"data": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"orgId": 123
}
}API key (dh_live_...) or Auth0 JWT token
Update workspace details
New workspace name
200OK
Workspace within an organization
Show child attributes